Bug 157428 - Tried (and failed) to create Volume Group even after I changed my mind about using LVM
Tried (and failed) to create Volume Group even after I changed my mind about ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-11 11:44 EDT by Derek Poon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 15:18:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Poon 2005-05-11 11:44:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Fedora/1.0.3-4 Firefox/1.0.3

Description of problem:


Version-Release number of selected component (if applicable):
anaconda-10.2.0.61-1

How reproducible:
Didn't try

Steps to Reproduce:
1. During install (not an upgrade), opt to manually partition using Disk Druid.
2. Make /dev/hda6 into an LVM Volume Group ("VolGroup00"), containing one virtual volume.  Mount that virtual volume as /, and create no other mount points.
3. Try to continue, but get error dialog saying that the boot partition must not be LVM.
4. OK, never mind, I'll eliminate all use of LVM.  Delete VolGroup00, change /dev/hda6 from an LVM Volume Group to a regular ext3 partition instead.
5. Continuing again, this time no error dialog.
6. When the installer actually performs the partitioning/formatting, it crashes.

Actual Results:  Installer tries to set up LVM anyway, and crashes.
Grumble, reboot, start install all over again, this time without touching LVM.

Expected Results:  Happy user running FC4 in an ext3 partition without LVM.

Additional info:

Python traceback:

gui.py:1137              handleRenderCallback
iw/progress-gui.py:244   renderCallback
gui.py:873               nextClicked
dispatch.py:172          gotoNext
dispatch.py:240          moveStep
packages.py:582          turnOnFilesystems
fsset.py:1471            createLogicalVolumes
fsset.py:2065            setupDevice

SystemError: vgcreate failed for VolGroup00
Comment 1 Chris Lumens 2005-05-11 14:18:01 EDT
Can you please post the entire anaconda dump file?
Comment 2 Daniel Polanco 2005-07-04 05:22:32 EDT
Having a similar problem and not sure if I should post on a different thread but
here is what it is. My set up:
MSI K8N Platinum, AMD 3500+, 1GB RAM, Audigy ZS Gamer, Sony CD-RW Burner, a
120GB Seagate IDE (Master), and a 250GB Hitachi (Slave).
I'm a newb to Fedora so sorry if I'm just making a simple mistake but the
problem lies here. My 120GB is dedicated to MS XP and the new drive(250GB)was
partitioned with Partition Commander to have a 150GB fat32 partition. After
rebooted and started up with FC4, went through setup installing a Workstation
with some extra goodies. When Disk Druid came up, ran it auto through only the
250GB Hitachi so it would be as a fresh install but when I came to the final
screen before install it bugs out. I would hit the next button and it would
start to setup when this Exception rang out:

-------------------------------------------------------

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1137, in handleRendeCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 244, in renderCallback
    self.intf.icw.nextClicked()
  File "usr/lib/anaconda/gui.py", line 873, in nextClicked
    self.dispatch.gotoNext()
  File"/usr/lib/anaconda/dispatch.py", line 174, in goNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py" line 242, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 582, in turnOnFilesystems
    thefsset.createLogicalVolumes(instPath)
  File "/usr/lib/anaconda/fsset.py", line 1472, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/fsset.py", line 2088, in setupDevice
    raise SystemError, "vgcreate failed for %s" %(self.name,)
SystemError: vgcreate failed for VolGroup00

---------------------------------------------------------------
I am going to try and install it without the fat32 because I imagine that will
fix it easy, and as well... I imagine it says somewhere you aren't suppose to
put a fat32 partition with Linux and I just didn't see it. But yea, this problem
is consistent and runs through the same way every time.

THX!
Comment 3 Daniel Polanco 2005-07-04 05:37:31 EDT
Scratch that. Deleted fat32 partition and still came up with same problem. Going
to try one last thing... going to try and do manual install. If this doesn't
work, I'm done for now. I would think it would be a hardware issue but I had
already installed FC4 once and it didn't work because of other issues... but
System Commander is enabled so maybe there? Dunno... anyway here goes nothing.
Comment 4 Daniel Polanco 2005-07-04 06:04:58 EDT
Went a different route and the problem was bypassed. All throughout this
process, my P/S2 mouse was not being identified for whatever reason. So instead
of using GUI, went through text mode with auto Disk Droid for only the slave,
and seemingly it ran through. Only problem is now... that System Commander says
it doesn't have a operating system I think I'm going to be forced to instal
GRUB... But I really have no clue...

OUT.
Comment 5 John Thacker 2007-01-13 15:18:06 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.